libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::MediaPipeline::Entity Struct Reference

A node composing the media pipeline. More...

Collaboration diagram for libcamera::MediaPipeline::Entity:
[legend]

## Public Attributes
MediaEntity * | entity
| Pointer to the libcamera::MediaEntity, always valid.
bool | supportsRouting
| Whether or not the entity is a subdev that supports the routing API.
const MediaPad * | sink
| The local libcamera::MediaPad sink pad connected to the upstream entity, null for the camera sensor at the beginning of the pipeline.
const MediaPad * | source
| The local libcamera::MediaPad source pad connected to the upstream entity, null for the last node at the end of the pipeline.
MediaLink * | sourceLink
| The link on the libcamera::MediaLink source pad, to the downstream entity, null for the last node at the end of the pipeline.

## Detailed Description

A node composing the media pipeline.

The MediaPipeline::Entity structure stores how a MediaEntity composing a media pipeline is connected to other media entities. It stores pointers to the source pad, the sink pad and the media link traversed by the media pipeline, as well as a flag that reports if the entity supports internal routing.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/media_pipeline.h
- src/libcamera/media_pipeline.cpp